> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.bridge.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all RFIs

> Retrieve a list of requests for information (RFIs) raised against your developer or customer accounts



## OpenAPI

````yaml https://withbridge-image1-sv-usw2-monorail-openapi.s3.amazonaws.com/latest.json get /rfis
openapi: 3.0.2
info:
  title: Bridge API
  description: APIs to move into, out of, and between any form of a dollar
  version: '1'
servers:
  - url: https://api.bridge.xyz/v0
    description: The base path for all resources
security:
  - ApiKey: []
tags:
  - name: Customers
  - name: Fiat Payout Configuration
  - name: External Accounts
  - name: Transfers
  - name: Prefunded Accounts
  - name: Balances
  - name: Liquidation Addresses
  - name: Developers
  - name: API Keys
  - name: Plaid
  - name: Virtual Accounts
  - name: Static Memos
  - name: Cards
  - name: Funds Requests
  - name: RFIs
  - name: Webhooks
  - name: Lists
  - name: Crypto Return Policies
  - name: Rewards
  - name: Associated Persons
  - name: Sandbox
paths:
  /rfis:
    get:
      tags:
        - RFIs
      summary: Get all RFIs
      description: >-
        Retrieve a list of requests for information (RFIs) raised against your
        developer or customer accounts
      parameters:
        - $ref: '#/components/parameters/LimitParameter'
        - $ref: '#/components/parameters/RfiStartingAfterParameter'
        - $ref: '#/components/parameters/RfiEndingBeforeParameter'
        - $ref: '#/components/parameters/CustomerIDQueryParameter'
        - $ref: '#/components/parameters/RfiStateParameter'
      responses:
        '200':
          description: List of RFIs
          content:
            application/json:
              schema:
                title: List of RFIs
                type: object
                required:
                  - count
                  - data
                properties:
                  count:
                    type: integer
                    description: The number of items returned
                  data:
                    type: array
                    minItems: 0
                    items:
                      $ref: '#/components/schemas/Rfi'
              examples:
                RfiListResponse:
                  $ref: '#/components/examples/RfiListResponse'
        '400':
          $ref: '#/components/responses/BadRequestError'
        '401':
          $ref: '#/components/responses/AuthenticationError'
        '500':
          $ref: '#/components/responses/UnexpectedError'
components:
  parameters:
    LimitParameter:
      in: query
      name: limit
      schema:
        type: integer
        minimum: 1
        maximum: 100
        default: 10
      description: The number of items to return (min 1, default 10, max 100)
    RfiStartingAfterParameter:
      in: query
      name: starting_after
      schema:
        type: string
      description: >-
        This is an RFI id. If this is specified, the next page that starts with
        an RFI right AFTER the specified id on the timeline, which is always
        ordered from the newest to the oldest by creation time, will be
        returned. This also implies that RFIs older than the specified RFI id
        will be returned (shouldn't be set if `ending_before` is set)
    RfiEndingBeforeParameter:
      in: query
      name: ending_before
      schema:
        type: string
      description: >-
        This is an RFI id. If this is specified, the previous page that ends
        with an RFI right BEFORE the specified id on the timeline, which is
        always ordered from the newest to the oldest by creation time, will be
        returned. This also implies that RFIs newer than the specified RFI id
        will be returned (shouldn't be set if `starting_after` is set)
    CustomerIDQueryParameter:
      name: customer_id
      in: query
      required: false
      schema:
        type: string
      description: If specified, results will be filtered to the given customer_id only
    RfiStateParameter:
      name: state
      in: query
      required: false
      schema:
        type: string
        enum:
          - on_developer
          - on_bridge
          - closed
      description: If specified, results will be filtered to RFIs with the given state only
  schemas:
    Rfi:
      required:
        - id
        - state
        - type
        - developer_id
        - deadline
        - requested_items
        - dashboard_url
        - created_at
      properties:
        id:
          $ref: '#/components/schemas/Id'
          readOnly: true
        state:
          type: string
          enum:
            - on_developer
            - on_bridge
            - closed
          description: The current state of the RFI
        type:
          type: string
          description: A developer-facing name describing the kind of request being made
        developer_id:
          $ref: '#/components/schemas/Id'
          readOnly: true
        customer_id:
          $ref: '#/components/schemas/Id'
          readOnly: true
          nullable: true
          description: The customer this RFI is associated with, if any
        referent_id:
          type: string
          nullable: true
          description: >-
            The id of the record (transfer, drain, deposit, or card account)
            this RFI relates to, if any. Resolve it against the endpoint named
            by `referent_type`
        referent_type:
          type: string
          nullable: true
          enum:
            - transfer
            - drain
            - deposit
            - card_account
          description: The type of record that `referent_id` refers to
        context:
          type: object
          description: >-
            Transaction and counterparty facts this RFI is about, keyed by field
            name. The set of keys present varies by RFI template - fields
            without a value for this RFI are omitted rather than set to null.
            May contain personally-identifiable information (customer
            name/email, IBANs, counterparty names). The properties below are the
            most common keys; other template-specific string keys may also be
            present.
          properties:
            amount_display:
              type: string
              description: The transaction amount, pre-formatted for display
            currency_display:
              type: string
              description: The transaction currency, pre-formatted for display
            transaction_date:
              type: string
              description: The transaction date, pre-formatted for display
            customer_name:
              type: string
              description: The customer's name
            customer_email:
              type: string
              description: The customer's email
            sender_name:
              type: string
              description: The sender's name, if this RFI concerns an incoming payment
            beneficiary_name:
              type: string
              description: The beneficiary's name, if this RFI concerns an outgoing payment
            counterparty_name:
              type: string
              description: The counterparty's name
            creditor_iban:
              type: string
              description: The creditor IBAN, for RFIs concerning an IBAN-based payment
            debtor_iban:
              type: string
              description: The debtor IBAN, for RFIs concerning an IBAN-based payment
            custom_body:
              type: string
              description: >-
                Ops-authored free text describing the request, present only for
                freeform RFIs
        bridge_action_taken:
          type: string
          nullable: true
          enum:
            - customer_paused
            - transaction_paused
          description: An action Bridge has already taken as a result of this RFI, if any
        expected_action_on_expiry:
          type: string
          nullable: true
          enum:
            - pause_customer
          description: >-
            The action Bridge expects to take if this RFI expires without a
            response, if any
        deadline:
          type: string
          format: date-time
          description: The time by which a response to this RFI is expected
        requested_items:
          type: array
          description: >-
            The items Bridge is asking the developer to provide for this RFI. A
            question that asks for both a narrative and supporting documents is
            split into two items sharing a base name, suffixed `_text` and
            `_attachment`
          items:
            type: object
            required:
              - name
              - display_text
              - response_type
            properties:
              name:
                type: string
                description: >-
                  A stable identifier for this item, unique within the RFI.
                  Stable per RFI `type` - a future update to Bridge's
                  answer-submission API will accept answers keyed by this name,
                  so it should be treated as part of the API contract rather
                  than a template implementation detail
              display_text:
                type: string
                description: The question or request being made, in developer-facing prose
              response_type:
                type: string
                enum:
                  - text
                  - attachment
                description: >-
                  Whether Bridge expects a narrative text answer or an
                  attachment
        dashboard_url:
          type: string
          description: A link to view and respond to this RFI in the Bridge dashboard
        state_changed_at:
          type: string
          format: date-time
          nullable: true
          description: The time the RFI's state last changed
        created_at:
          readOnly: true
          type: string
          format: date-time
          description: Time of creation of the RFI
        closed_at:
          type: string
          format: date-time
          nullable: true
          description: The time the RFI was closed, if it has been
    Id:
      description: A UUID that uniquely identifies a resource
      type: string
      pattern: '[a-z0-9]*'
      minLength: 1
      maxLength: 42
    Error:
      required:
        - code
        - message
      properties:
        code:
          type: string
          minLength: 1
          maxLength: 256
        message:
          type: string
          minLength: 1
          maxLength: 512
        source:
          title: ErrorSource
          required:
            - location
            - key
          properties:
            location:
              type: string
              enum:
                - path
                - query
                - body
                - header
            key:
              type: string
              description: >-
                Comma separated names of the properties or parameters causing
                the error
  examples:
    RfiListResponse:
      summary: A list of RFIs
      value:
        count: 1
        data:
          - id: rfi_ah4nyoi9pcbrgl3mnu092l6b
            state: on_developer
            type: Compliance Alert - EFE 1PP
            developer_id: dev_2p6ipnn5b7x7xrpn97fljzt6
            customer_id: cust_c6ednm25xanjrx1yzz5s4t8n
            referent_id: transfer_hmyt7lyjqr0h39s5g87lo0jn
            referent_type: transfer
            context:
              amount_display: $1,000.00
              currency_display: USD
              transaction_date: '2026-08-01'
              sender_name: Jane Doe
            bridge_action_taken: null
            expected_action_on_expiry: pause_customer
            deadline: '2026-08-15T00:00:00.000Z'
            requested_items:
              - name: source_of_funds_text
                display_text: >-
                  What is the source of funds for this payment? Please provide
                  supporting documentation (bank or investment statement, pay
                  stub, invoice, receipt or contract).
                response_type: text
              - name: source_of_funds_attachment
                display_text: >-
                  What is the source of funds for this payment? Please provide
                  supporting documentation (bank or investment statement, pay
                  stub, invoice, receipt or contract).
                response_type: attachment
            dashboard_url: https://dashboard.bridge.xyz/rfis/rfi_ah4nyoi9pcbrgl3mnu092l6b
            state_changed_at: '2026-08-01T00:00:00.000Z'
            created_at: '2026-08-01T00:00:00.000Z'
            closed_at: null
  responses:
    BadRequestError:
      description: Request containing missing or invalid parameters.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          examples:
            BadCustomerRequestErrorExample:
              summary: Bad customer request
              value:
                code: bad_customer_request
                message: fields missing from customer body.
                name: first_name,ssn
    AuthenticationError:
      description: Missing or invalid API key
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          examples:
            MissingTokenError:
              summary: No Api-Key header
              description: The header may be missing or misspelled.
              value:
                code: required
                location: header
                name: Api-Key
                message: Missing Api-Key header
            InvalidTokenError:
              summary: Invalid key in Api-Key header
              value:
                code: invalid
                location: header
                name: Api-Key
                message: Invalid Api-Key header
    UnexpectedError:
      description: Unexpected error. User may try and send the request again.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          examples:
            UnexpectedError:
              summary: An unexpected error
              value:
                errors:
                  - code: unexpected
                    message: An expected error occurred, you may try again later
  securitySchemes:
    ApiKey:
      type: apiKey
      name: Api-Key
      in: header

````